# Revert Default Permission (RDP)

This module provides additional options for content entities within the Layout Builder in Drupal. It allows administrators to hide the "Revert to Default" button, ensuring users are unable to revert layouts to their default state. This feature is particularly useful in scenarios where customized layouts must be preserved, and any changes should not be overridden by reverting.

For a full description of the module, visit the [project page](https://www.drupal.org/project/revert_default_permission).

Submit bug reports and feature suggestions, or track changes in the [issue queue](https://www.drupal.org/project/issues/revert_default_permission).


## Table of Contents

- Requirements
- Recommended Modules
- Installation
- Features
- Usage
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Recommended Modules

(None)

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Features

Hide the "Revert to Default" button for specific content entities.


## Usage

Once installed, you can hide the "Revert to Default" option for content entities in the Edit interface. This prevents users from resetting layouts to their default state, helping to ensure that custom layouts are preserved.


## Configuration

1. Enable the module at Administration > Extend.
2. Configure the settings on the content entity where you want to hide the "Revert to Default" button.


## Maintainers

- hamza dwaya - [hamzadwaya](https://www.drupal.org/u/hamzadwaya)
- Mohammad Abdul-Qader - [m.abdulqader](https://www.drupal.org/u/mabdulqader)